package com.bankaudit.dao;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintControlClssfcBucket;

public interface MaintControlClssfcBucketDao extends Dao{
	List<MaintControlClssfcBucket> getMaintControlClssfcBucketsExceptThis(Integer legalEntityCode,String controlClssfcBucketCode);

	DataTableResponse getMaintControlClssfcBuckets(Integer legalEntityCode, String search, Integer orderColumn,
			String orderDirection, Integer page, Integer size);
	
	Boolean isMaintControlClssfcBucket(Integer legalEntityCode);

	void deleteMaintControlClssfcBuckets(Integer legalEntityCode, String statusUnauth);
	
	MaintControlClssfcBucket getControlClssfcBucketOnPercentage(Integer legalEntityCode, Integer riskScore);

	Boolean isControlClssfcBucketCode(Integer legalEntityCode, String controlClssfcBucketCode);
}
